Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class ParameterizedTarget

    java.lang.Object
      netscape.security.Target
          netscape.security.UserTarget
              netscape.security.ParameterizedTarget

Direct Known Subclasses:
  ParameterizedStringTarget

    public class ParameterizedTarget

extends UserTarget

Constructor Summary
`ParameterizedTarget()`
`ParameterizedTarget(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String url)`
`ParameterizedTarget(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String detailDescription, java.lang.String url)`

Method Summary
`Privilege` | `checkPrivilegeEnabled(Principal[] prinAry, java.lang.Object data)`
`Privilege` | `enablePrivilege(Principal prin, java.lang.Object data)`
`java.lang.String` | `getDetailedInfo(java.lang.Object data)`

Methods inherited from class netscape.security.Target
`checkPrivilegeEnabled, checkPrivilegeEnabled, equals, findTarget, findTarget, findTarget, getAllRegisteredTargets, getDescription, getDetailDescription, getHelpUrl, getName, getRisk, getRiskColor, getTargetFromDescription, hashCode, registerTarget, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterizedTarget

    public ParameterizedTarget()

### ParameterizedTarget

    public ParameterizedTarget(java.lang.String name,
                               Principal prin,
                               int risk,
                               java.lang.String riskColor,
                               java.lang.String description,
                               java.lang.String url)

### ParameterizedTarget

    public ParameterizedTarget(java.lang.String name,
                               Principal prin,
                               int risk,
                               java.lang.String riskColor,
                               java.lang.String description,
                               java.lang.String detailDescription,
                               java.lang.String url)

Method Detail

### getDetailedInfo

    public java.lang.String getDetailedInfo(java.lang.Object data)

  Overrides:
    `getDetailedInfo` in class `Target`

### enablePrivilege

    public Privilege enablePrivilege(Principal prin,
                                     java.lang.Object data)

  Overrides:
    `enablePrivilege` in class `UserTarget`

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] prinAry,
                                           java.lang.Object data)

  Overrides:
    `checkPrivilegeEnabled` in class `Target`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD